GWT 2.7.0

## com.google.web.bindery.requestfactory.shared
Annotation Type ProxyForName

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public @interface ProxyForName

Annotation on EntityProxy classes specifying the domain (server-side) object type. This annotation can be used in place of `ProxyFor` if the domain object is not available to the GWT compiler or DevMode runtime.

Required Element Summary
`java.lang.String` | `value` The name of the domain type that the proxy is mapped to.

Optional Element Summary
`java.lang.String` | `locator` An optional name of a `Locator` that provides instances of the domain objects.

Element Detail

### value

    public abstract java.lang.String value

  The name of the domain type that the proxy is mapped to.

### locator

    public abstract java.lang.String locator

  An optional name of a `Locator` that provides instances of the domain objects.

  Default:
    ""

GWT 2.7.0